{% extends "block.html.twig" %}

{% block block %}
  {# Start block wrapper #}
  {%
    set classes = [
      'block',
      'block--highlight-news',
      'block-' ~ configuration.provider|clean_class,
      'block-' ~ plugin_id|clean_class,
      'border-bottom',
      'border-light',
      'd-none',
      'animated'
    ]
  %}

  {% if fences_element.wrapper != 'none' %}
    <{{ fences_element.wrapper|default('div') }} {{ attributes.addClass(classes) }}>
  {% endif %}

    {% block close_button %}
      <button class="block--highlight-news__close btn-close" type="button" aria-expanded="false" aria-controls="{{ attributes.id }}" aria-label="{{ 'Close'|t }}"></button>
    {% endblock %}

    {% block label %}
      {{ parent() }}
    {% endblock label %}

    {% block content %}
      {{ parent() }}
    {% endblock content %}

  {% if fences_element.wrapper != 'none' %}
    </{{ fences_element.wrapper|default('div') }}>
  {% endif %}
{% endblock block %}
